Main Page Groups Namespaces

# sigc::signal<T_return, T_arg1, T_arg2>::accumulated<T_accumulator> Class Template Reference

Convenience wrapper for the numbered sigc::signal2 template. More...

Inheritance diagram for sigc::signal< T_return, T_arg1, T_arg2 >::accumulated< T_accumulator >:

[legend]
List of all members.

## Public Member Functions

| accumulated ()
| accumulated (const accumulated& src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2>
template <class T_accumulator>
class sigc::signal< T_return, T_arg1, T_arg2 >::accumulated< T_accumulator >

Convenience wrapper for the numbered sigc::signal2 template.

Like sigc::signal but the additional template parameter T_accumulator defines the accumulator type that should be used.

## Constructor & Destructor Documentation

template <class T_return, class T_arg1, class T_arg2>
template <class T_accumulator>
sigc::signal<T_return, T_arg1, T_arg2>::accumulated<T_accumulator>::accumulated | ( |  | ) | `[inline]`

template <class T_return, class T_arg1, class T_arg2>
template <class T_accumulator>
sigc::signal<T_return, T_arg1, T_arg2>::accumulated<T_accumulator>::accumulated | ( | const accumulated& | src | ) | `[inline]`

The documentation for this class was generated from the following file:

- signal.h